Flashplugin-nonfree crashes Firefox 3b5 (in Hardy) - sometimes.

Asked by John Fino on 2008-05-07

Flash videos crash Firefox 3.0b5 40-50 percent of the time. Sometimes every other, sometimes two will play in a row. Never three. Using the BBC iPlayer, Yahoo! Movies, Gizmodo, Engadget, and pretty much any website that has Flash movies.

I have the flashplugin-nonfree 9.0.124 installed plus the libflashsupport 1.9-0. I've uninstalled and reinstalled it, tried it w/o the libflashsupport (I get no sound). Still the same crashyness.

Under about:plugins it says:
Shockwave Flash
    File name: libflashplayer.so
    Shockwave Flash 9.0 r124
MIME Type Description Suffixes Enabled
application/x-shockwave-flash Shockwave Flash swf Yes
application/futuresplash FutureSplash Player spl Yes

I'm running a dual-boot of Ubuntu 8.04 (and WindowsXP) on a P4 w/ 1GB RAM, nVidia graphics card (w/ the proprietary. driver installed). Flash works fine with FF 3.0b5 in WindowsXP.

I found lots of answers on Launchpad for how to install Flash, but none that deals with constant crashing. This is certainly not life-threatening but is annoying as ... heck.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
John Fino
Solved:
2008-05-26
Last query:
2008-05-26
Last reply:
John Fino (tauricity) said : #1

If you have this problem, follow the link to bug 192888. The nspluginwrapper did the trick for me, using Flash 9. Supposedly installing Flash 10 beta works, too, but I haven't tried it. Thanks, everyone working on this.

Tomer Cohen (tomerc) said : #2

I can get Firefox 3 RC2 crash with libflashplayer.so (Shockwave Flash 10.0 b218). Both are non-ubuntu binaries.
https://bugzilla.mozilla.org/show_bug.cgi?id=434015